<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="@color/color_FFF1F2F5"
    tools:layout_height="320dp">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/btn_copy_link"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="60dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_input_price"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:background="@drawable/share_qr_code_special_item_bg"
                android:padding="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_input_price"
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    app:layout_constraintBottom_toBottomOf="@id/et_input_price"
                    app:layout_constraintEnd_toStartOf="@id/et_input_price"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintHorizontal_chainStyle="packed"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/et_input_price"
                    app:srcCompat="@drawable/common_wallet_coin_32_ic" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_input_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:background="@null"
                    android:enabled="false"
                    android:fontFamily="@font/poppins_semibold"
                    android:hint="@string/share_input_price"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:textColor="@color/color_FF1D2129"
                    android:textColorHint="@color/color_FFC9CDD4"
                    android:textSize="14sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_input_price"
                    app:layout_constraintTop_toTopOf="parent" />

                <View
                    android:layout_width="0dp"
                    android:layout_height="0.5dp"
                    android:layout_marginTop="20dp"
                    android:background="@color/color_FFC9CDD4"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/iv_input_price" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="@string/share_special_time"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toBottomOf="@id/v_number"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/v_number" />

                <com.adealink.weparty.commonui.widget.NumberIncreaseView
                    android:id="@+id/v_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="40dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/iv_input_price" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginEnd="2dp"
                app:layout_constraintBottom_toBottomOf="@id/tv_sum"
                app:layout_constraintEnd_toStartOf="@id/tv_sum"
                app:layout_constraintTop_toTopOf="@id/tv_sum"
                app:srcCompat="@drawable/common_wallet_coin_32_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_sum"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:includeFontPadding="false"
                android:text="@string/share_special_time"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/cl_input_price"
                tools:text="0/hour" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_copy_link"
        android:layout_width="0dp"
        android:layout_height="48dp"
        app:text="@string/share_generate_qr_code"
        app:textColor="@color/white"
        app:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="188"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>